Gecode::PosChoice Class Reference

Choices storing position More...

`#include <view.hpp>`

## Public Member Functions

| PosChoice (const Brancher &b, unsigned int a, const Pos &p)
| Initialize choice for brancher b, number of alternatives a, and position p.
const Pos & | pos (void) const
| Return position in array.
virtual void | archive (Archive &e) const
| Archive into e.
Public Member Functions inherited from Gecode::Choice
unsigned int | alternatives (void) const
| Return number of alternatives.
virtual | ~Choice (void)
| Destructor.

## Protected Member Functions

| PosChoice (const PosChoice &c)
| Initialize.
Protected Member Functions inherited from Gecode::Choice
| Choice (const Brancher &b, const unsigned int a)
| Initialize for particular brancher b and alternatives a.

## Additional Inherited Members

Static Public Member Functions inherited from Gecode::HeapAllocated
static void * | operator new (size_t s)
| Memory management.
static void | operator delete (void *p)
| Free memory allocated from heap.

## Detailed Description

Choices storing position

Definition at line 55 of file view.hpp.

## Constructor & Destructor Documentation

## PosChoice() [1/2]

Gecode::PosChoice::PosChoice | ( | const PosChoice & | c | ) |

protected

Initialize.

## PosChoice() [2/2]

Gecode::PosChoice::PosChoice | ( | const Brancher & | b,
|  | unsigned int | a,
|  | const Pos & | p )

inline

Initialize choice for brancher b, number of alternatives a, and position p.

Definition at line 123 of file view.hpp.

## Member Function Documentation

## pos()

const Pos & Gecode::PosChoice::pos | ( | void |  | ) | const

inline

Return position in array.

Definition at line 126 of file view.hpp.

## archive()

void Gecode::PosChoice::archive | ( | Archive & | e | ) | const

inline virtual

Archive into e.

Reimplemented from Gecode::Choice.

Reimplemented in Gecode::Int::Branch::PosValuesChoice, Gecode::Int::LDSB::LDSBChoice< Val >, and Gecode::PosValChoice< Val >.

Definition at line 130 of file view.hpp.

The documentation for this class was generated from the following file:

- gecode/kernel/branch/view.hpp